const { api } = require("../../utils/api")

// pages/store/info.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id:'',
    info:null,
    points: 0,
    libraryInfo:null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const id = options.id
    this.data.id = id
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.fetchInfo()
  },
  fetchInfo(){
    wx.showLoading({
      title: '请稍后',
    })
    api('/claim/detail',"GET",{id:this.data.id}).then(res => {
      if (res.code === 200){
        const tmps = res.data
        tmps.content = tmps.content.trim()
        this.setData({info:tmps})
        wx.hideLoading()
        if(tmps.libraryId != ""){
          this.fetchLibrary(tmps.libraryId)
        }
      }
    })

    const points = wx.getStorageSync('points')
    this.setData({points:points})
  },

  fetchLibrary(id){
    api('/library/detail','GET',{id:id}).then(res => {
      if (res.code === 200){
        this.setData({libraryInfo:res.data})
      }
    })
  },

  goInfo(){
    if (this.data.libraryInfo){
      wx.navigateTo({
        url: '../knowlage/info?id=' + this.data.libraryInfo.id,
      })
    }
  },
  goPreview(e){
    const currentUrl = e.currentTarget.dataset.url; // 获取当前点击的图片链接
    const list = this.data.info.imgList.map(e => e.url)
    wx.previewImage({
      current: currentUrl, // 当前显示图片的http链接
      urls: list// 需要预览的图片http链接列表
    })
  },

  openVideo(){
    console.log(this.data.info.videoUrl);
    wx.openChannelsActivity({
      feedId: this.data.info.videoUrl,
      finderUserName: 'sphdRsczmioSITu',
    })
  },

  goOrder(){
    const id =  this.data.id
    wx.navigateTo({
      url: '../order/index?id=' + id,
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})